package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.MusicGroup;

import java.util.List;

public class StudentMusicDetailDto {
    private Integer userId;

    private String username;

    private Integer gender;

    private String subjectName;

    private String phone;

    private String avatar;

    private String imToken;

    private List<MusicGroup> musicGroups;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getImToken() {
        return imToken;
    }

    public void setImToken(String imToken) {
        this.imToken = imToken;
    }

    public List<MusicGroup> getMusicGroups() {
        return musicGroups;
    }

    public void setMusicGroups(List<MusicGroup> musicGroups) {
        this.musicGroups = musicGroups;
    }
}
